#!/bin/ash
#180817 sfs
cd /usr/share/backgrounds
#ntf -f "*.png|*.jpg|*.svg"
if [ "$1" ];then
    f="$1"
else
    f="`ntf -c "Выберите файл обоев рабочего стола *.png *.jpg *.svg"`" || exit 1
fi

mkdir -p "$HOME/.icewm" &&
echo "\
DesktopBackgroundImage=\"$f\"
DesktopBackgroundCenter=1
DesktopBackgroundScaled=1
" > "$HOME/.icewm/preferences" 
icewmbg -q
icewmbg &
icewmbg -q

mkdir -p "$HOME/.config/autostart" &&
echo "\
[Desktop Entry]
Type=Application
Icon=desktop
Name=Обои
Comment=Обои (когда не используется раб.стол файл-менеджера или WM)
Exec=sleep.sh 8 icewmbg.sh \"$f\"
" > "$HOME/.config/autostart/wallpaper.desktop"



